org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcProtocolContext

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.jdbc.JdbcProtocolContext

    public class JdbcProtocolContext
    extends Object

Protocol context for JDBC protocol. Holds protocol version and supported features.

### Constructor Summary

Constructors
Constructor and Description
`JdbcProtocolContext(ClientListenerProtocolVersion ver, EnumSet<JdbcThinFeature> features, boolean keepBinary)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isAffinityAwarenessSupported()`
`boolean` `isAutoCommitSupported()`
`boolean` `isFeatureSupported(JdbcThinFeature feature)`
`boolean` `isStreamingSupported()`
`boolean` `isTableTypesSupported()`
`boolean` `keepBinary()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdbcProtocolContext

    public JdbcProtocolContext(ClientListenerProtocolVersion ver,
                               EnumSet<JdbcThinFeature> features,
                               boolean keepBinary)

Parameters:
  `ver` - Protocol version.
  `features` - Supported features.
  `keepBinary` - Wether to keep objects in binary form.

### Method Detail

#### isStreamingSupported

    public boolean isStreamingSupported()

Returns:
  `true` if JDBC streaming supported.

#### isAutoCommitSupported

    public boolean isAutoCommitSupported()

Returns:
  `true` if JDBC streaming supported.

#### isTableTypesSupported

    public boolean isTableTypesSupported()

Returns:
  `true` if JDBC streaming supported.

#### isAffinityAwarenessSupported

    public boolean isAffinityAwarenessSupported()

Returns:
  `true` if JDBC streaming supported.

#### isFeatureSupported

    public boolean isFeatureSupported(JdbcThinFeature feature)

Parameters:
  `feature` - `true` if given feature supported.

#### keepBinary

    public boolean keepBinary()

Returns:
  `true` if binary should not be deserialized.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021